import usePolling from "../util/Polling"

const uri = '/api/user';

export default function useUserApi([user, dispatchUser]) {

    const useGet = () => {
        const [nextUser] = usePolling(uri);

        if (typeof nextUser?.username === 'string' && nextUser.username !== user.username) {
            dispatchUser({ type: "next", username: nextUser.username });
        }

        return user;
    }

    return {
        get: useGet
    }
}