import { localeCompare } from '../util/Locale'
import StateHelper from '../util/StateHelper';

export const userInitialState = {
  username: '',
  isCurrentUser: function (otherUsername) {
    return localeCompare(this.username, otherUsername)
  },

};

export function userReducer(state, action) {
  switch (action.type) {

    case 'next': 
      return StateHelper.next(state, action);

    default:
      throw Error('Unknown action.type: ' + action.type);
  }
}

const User = {
  reducer: userReducer,
  initialState: userInitialState
};

export default User;